import { EventEmitter, OnInit, OnChanges } from '@angular/core';
import { Resource, RmService } from '@bidi/common-services';
import { Observable } from 'rxjs';
import * as filters from './filters';
export interface SearchForm {
    q?: string;
    subject?: string;
    type?: string;
    level?: string;
    district?: string;
    curri?: string;
}
export declare class ContentsLibraryComponent implements OnInit, OnChanges {
    private rm;
    params: SearchForm;
    title: any;
    subtitle: any;
    themes: any;
    selection: EventEmitter<{}>;
    close: EventEmitter<{}>;
    openContentCustom: EventEmitter<{}>;
    addTheme: EventEmitter<boolean>;
    tabsOptions: {
        title: string;
        id: string;
    }[];
    showTab: any;
    loading: boolean;
    showPreview: boolean;
    resources$: Observable<Resource[]>;
    districts$: Observable<any>;
    curri$: Observable<any>;
    planningResources: any[];
    othersResources: any[];
    districtSelect: string;
    form: SearchForm;
    currentSelection: any;
    filters: typeof filters;
    firstFilter: boolean;
    secondFilter: boolean;
    private fetch;
    constructor(rm: RmService);
    ngOnChanges(): void;
    ngOnInit(): void;
    inputChange(): void;
    selectResource(resource: any): void;
    submit(): void;
    submit2(r: any): void;
    newTheme(e: any): void;
    openFirstFilter(): void;
    openSecondFilter(): void;
    toggleTabs(e: any): void;
}
